module WCC::Data

  module Mapper
    class MapperError < StandardError; end
    class EndpointUndefined < MapperError; end
    class InvalidResponse < MapperError; end
    class RecordNotFound < MapperError; end
    class ServiceUnavailable < MapperError; end
  end

end

require_relative "mapper/attributes"
require_relative "mapper/json_response"
require_relative "mapper/rest_configuration"
require_relative "mapper/rest_query"

