module WCC::Data::Mapper

  module RESTConfiguration

    def set_endpoint(app_name, uri)
      @endpoint_config = {
        app: app_name,
        uri: uri,
      }
    end

    def endpoint_config
      @endpoint_config ||= {}
    end

    def endpoint
      @endpoint = WCC::Data::RESTEndpoint.new(
        service: service_from_app_name(endpoint_config[:app]).merge(uri: endpoint_config[:uri])
      )
    end

    def inherited(subclass)
      super
      subclass.instance_variable_set(:@endpoint_config, endpoint_config.dup)
    end

    private

    def service_from_app_name(app_name)
      WCC::Data.config.applications[app_name].service
    end

  end

end

