module WCC::Data::Mapper

  module RESTQuery

    def find(id)
      ensure_endpoint_defined
      new_from_response(endpoint.show(id))
    end

    def list(params={})
      ensure_endpoint_defined
      new_from_response(endpoint.index(params: params))
    end

    def create(attributes={})
      ensure_endpoint_defined
      new_from_response(endpoint.create(attributes))
    end

    private

    def ensure_endpoint_defined
      raise EndpointUndefined unless defined?(endpoint) && endpoint
    end

  end

end
