# frozen_string_literal: true

module WCC::Data::Nucleus
  class Campus < WCC::Data::EnumeratedType
    attributes :id, :name, :key, :code
    attributes :street, :city, :state, :zip, :geo

    def matches?(value)
      [id, key, code].include?(value)
    end

    def self.db
      [
        {
          id: 1,
          code: 'DAL',
          name: 'Dallas',
          key: :dallas,
          street: '7540 LBJ Freeway',
          city: 'Dallas',
          state: 'TX',
          zip: '75251',
          geo: [32.922923, -96.7781638]
        },
        {
          id: 2,
          code: 'FTW',
          name: 'Fort Worth',
          key: :ft_worth,
          street: '8000 Western Hills Blvd',
          city: 'Fort Worth',
          state: 'TX',
          zip: '76108',
          geo: [32.739972, -97.455414]
        },
        {
          id: 3,
          code: 'PLA',
          name: 'Plano',
          key: :plano,
          street: '6400 K Avenue',
          city: 'Plano',
          state: 'TX',
          zip: '75074',
          geo: [33.060823, -96.688902]
        },
        {
          id: 4,
          code: 'FRS',
          name: 'Frisco',
          key: :frisco,
          street: '6401 Parkwood Blvd',
          city: 'Frisco',
          state: 'TX',
          zip: '75034',
          geo: [33.130761, -96.822322]
        },
        {
          id: 5,
          code: 'SDL',
          name: 'South Dallas',
          key: :south_dallas,
          street: '3400 Garden Ln',
          city: 'Dallas',
          state: 'TX',
          zip: '75215',
          geo: [32.758418, -96.743966]
        }
      ]
    end
  end
end
