module WCC::Data::Nucleus

  class ClientAppToken < Base
    set_endpoint :nucleus, "api/v1/client_app_tokens/"

    attribute :token
    attribute :expires_at
    attribute :expires_in
    attribute :created_at
    attribute :host_app
    attribute :requesting_app

    def host_app
      App.new self[:host_app]
    end

    def requesting_app
      App.new self[:requesting_app]
    end

    class App
      include WCC::Data::Mapper::Attributes
      attribute :id
      attribute :uid
      attribute :name
    end
  end

end

