module WCC::Data::Nucleus

  class Contact < Base
    set_endpoint :nucleus, "api/v1/users/"

    attribute :user_id
    attribute :first_name, writer: true
    attribute :last_name, writer: true
    attribute :email, writer: true
    attribute :phone, writer: true
    attribute :birthday, writer: true
    attribute :marital_status_id, writer: true
    attribute :gender_id, writer: true

    def marital_status
      MaritalStatus[marital_status_id]
    end

    def marital_status=(marital_status)
      self.marital_status_id = marital_status.id
    end

    def gender
      Gender[gender_id]
    end

    def gender=(gender)
      self.gender_id = gender.id
    end
  end

end

