require 'json'

module WCC::Data
  class Response
    attr_reader :raw

    def initialize(raw)
      @raw = raw
    end

    def json
      JSON.parse(body)
    rescue JSON::ParserError
    end

    def method_missing(method, *args, &block)
      if raw.respond_to?(method)
        raw.public_send(method, *args, &block)
      else
        super
      end
    end

    def respond_to?(method)
      super || raw.respond_to?(method)
    end

  end
end
