module WCC::Data

  class RESTEndpoint
    attr_reader :service

    def initialize(args={})
      @service = args[:service]
    end

    def index(options={})
      service.get(options)
    end

    def show(id, options={})
      service.get(options.merge(uri: id.to_s))
    end

    def create(attrs, options={})
      service.post(options.merge(body: attrs))
    end

    def update(id, attrs, options={})
      service.patch(options.merge(uri: id.to_s, body: attrs))
    end

    def destroy(id, options={})
      service.delete(options.merge(uri: id.to_s))
    end

  end

end

